program mul64tst;

{
last edit: 31-OCT-1987 13:22:03 
}

%include clunk.typ;

var
  value1,value2,result	: clunk_type;
  ids : integer;

%include mul64.ext;

begin
  write('Enter factor 1[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);
  write('Enter factor 2[1..4]:');
  readln(value2[1],value2[2],value2[3],value2[4]);
  
  mul64(value1,value2,result,ids);

  writeln('ids:',ids);
  writeln('factor 1 :',value1[1],value1[2],value1[3],value1[4]);
  writeln('factor 2 :',value2[1],value2[2],value2[3],value2[4]);
  writeln('Result   :',result[1],result[2],result[3],result[4]);

end.
